Update to alpine3.12 89/70289/2
authorCédric Ollivier <cedric.ollivier@orange.com>
Sat, 6 Jun 2020 16:04:35 +0000 (18:04 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Sun, 7 Jun 2020 07:15:22 +0000 (09:15 +0200)
https://alpinelinux.org/posts/Alpine-3.12.0-released.html

Change-Id: I3c95f0867c4364b93fd8ba14093710b7c0fdda8d
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
ansible/site.yml
build.sh
docker/core/Dockerfile

index 829f51a..f9e2c74 100644 (file)
@@ -10,7 +10,7 @@
           - repo: _
             dport:
             container: golang
-            tag: 1.13-alpine3.11
+            tag: 1.13-alpine3.12
         steps:
           - name: build opnfv/functest-kubernetes-core
             containers:
index a61ecb7..f69549d 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -30,11 +30,11 @@ done
 [ ! -z "${amd64_dirs}" ] &&
     (docker rmi \
         "${repo}/functest-kubernetes-core:amd64-latest" \
-        golang:1.13-alpine3.11 || true)
+        golang:1.13-alpine3.12 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|golang:1.13-alpine3.11|arm64v8/golang:1.13-alpine3.11|g" {} +
+    -e "s|golang:1.13-alpine3.12|arm64v8/golang:1.13-alpine3.12|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-kubernetes-core|\
 ${repo}/functest-kubernetes-core:arm64-latest|g" {} +
@@ -51,7 +51,7 @@ for dir in ${arm64_dirs}; do
 done
 [ ! -z "${arm64_dirs}" ] &&
     (docker rmi "${repo}/functest-kubernetes-core:arm64-latest" \
-        arm64v8/golang:1.13-alpine3.11 || true)
+        arm64v8/golang:1.13-alpine3.12 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?
index 2f1723d..11bcc16 100644 (file)
@@ -1,11 +1,11 @@
-FROM golang:1.13-alpine3.11
+FROM golang:1.13-alpine3.12
 
 ARG BRANCH=master
 ARG OPENSTACK_TAG=master
 ARG OPNFV_TAG=master
 
 COPY Try-a-quick-fix-vs-asynchronuous-issues.patch /tmp/Try-a-quick-fix-vs-asynchronuous-issues.patch
-RUN apk --no-cache add --update python3 bash git grep libffi openssl mailcap && \
+RUN apk --no-cache add --update python3 py3-pip bash git grep libffi openssl mailcap && \
     apk --no-cache add --virtual .build-deps --update \
         python3-dev build-base libffi-dev openssl-dev && \
     git init /src/functest-kubernetes && \